Name:		xfce4-websearch-plugin
Version:	0.1.1
Release:	alt1_0.18.20070428svn2704
Summary:	Websearch plugin from the XFCE panel

Group:		Graphical desktop/Other
License:	GPLv2+
URL:		http://goodies.xfce.org/
# Source0 was generated with the following commands:
# svn co http://svn.xfce.org/svn/goodies/xfce4-websearch-plugin/trunk xfce4-websearch-plugin
# tar -cjf xfce4-websearch-plugin-`date +%G%m%d`svn2704.tar.bz2 xfce4-websearch-plugin
Source0:	%{name}-20070428svn2704.tar.bz2
#Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.gz
# Workaround for https://bugzilla.redhat.com/show_bug.cgi?id=505165
# reported to upstream at http://bugzilla.xfce.org/show_bug.cgi?id=5455
Patch0:		%{name}-20070428svn2704-multilib.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=509294
# not yet in Xfce bugzilla, because the websearch component is missing
Patch1:		%{name}-20070428svn2704-desktop-file.patch

BuildRequires:	xfce4-panel-devel >= 4.3.0 libxfcegui4-devel >= 4.3.0 libxml2-devel
BuildRequires:	gettext
BuildRequires:	xfce4-dev-tools >= 4.3.90.2
Requires:	xfce4-panel >= 4.4.0
Source44: import.info

%description
Access searchengines from the XFCE panel.

%prep
%setup -qn %{name}
./autogen.sh
%patch0 -b .multilib
%patch1 -b .path

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} INSTALL="install -p"
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING
%{_libdir}/xfce4/panel-plugins/*.so
%{_libdir}/xfce4/panel-plugins/*.desktop

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_0.18.20070428svn2704
- initial fc import

